Bug 961955 - [abrt] fedup-0.7.3-4.fc18: download.py:294:download_boot_images:UnboundLocalError: local variable 'initrd' referenced before assignment
[abrt] fedup-0.7.3-4.fc18: download.py:294:download_boot_images:UnboundLocalE...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
abrt_hash:10a791da5e011b4cef28e6a0cb4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 16:11 EDT by abart76
Modified: 2013-12-22 00:34 EST (History)
2 users (show)

See Also:
Fixed In Version: fedup-0.8.0-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 02:21:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (825 bytes, text/plain)
2013-05-10 16:11 EDT, abart76
no flags Details
File: core_backtrace (261 bytes, text/plain)
2013-05-10 16:11 EDT, abart76
no flags Details
File: environ (1.95 KB, text/plain)
2013-05-10 16:11 EDT, abart76
no flags Details

  None (edit)
Description abart76 2013-05-10 16:11:38 EDT
Version-Release number of selected component:
fedup-0.7.3-4.fc18

Additional info:
cmdline:        /usr/bin/python /bin/fedup-cli --network 18 --debuglog fedupdebug.log
executable:     /bin/fedup-cli
kernel:         3.8.11-200.fc18.x86_64
uid:            0
ureports_counter: 1

Truncated backtrace:
download.py:294:download_boot_images:UnboundLocalError: local variable 'initrd' referenced before assignment

Traceback (most recent call last):
  File "/bin/fedup-cli", line 181, in <module>
    main(args)
  File "/bin/fedup-cli", line 120, in main
    kernel, initrd = f.download_boot_images() # TODO: force arch?
  File "/usr/lib/python2.7/site-packages/fedup/download.py", line 294, in download_boot_images
    conf.set("boot", "initrd", initrd)
UnboundLocalError: local variable 'initrd' referenced before assignment

Local variables in innermost frame:
kernel: '/boot/vmlinuz-fedup'
self: <fedup.download.FedupDownloader object at 0x148be90>
grab_and_check: <function grab_and_check at 0x1545d70>
conf: <fedup.conf.Config instance at 0x15c6e18>
cacheinitrd: '/var/tmp/fedora-upgrade/initramfs-fedup.img'
arch: 'x86_64'
Comment 1 abart76 2013-05-10 16:11:41 EDT
Created attachment 746369 [details]
File: backtrace
Comment 2 abart76 2013-05-10 16:11:43 EDT
Created attachment 746370 [details]
File: core_backtrace
Comment 3 abart76 2013-05-10 16:11:45 EDT
Created attachment 746371 [details]
File: environ
Comment 4 Will Woods 2013-10-09 15:37:50 EDT
Should be fixed by https://github.com/wgwoods/fedup/commit/ff514d4
Comment 5 Fedora Update System 2013-12-11 17:11:55 EST
fedup-0.8.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc19
Comment 6 Fedora Update System 2013-12-11 17:20:11 EST
fedup-0.8.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc20
Comment 7 Fedora Update System 2013-12-11 17:22:03 EST
fedup-0.8.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc18
Comment 8 Fedora Update System 2013-12-13 00:09:19 EST
Package fedup-0.8.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedup-0.8.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23316/fedup-0.8.0-3.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-12-19 02:21:44 EST
fedup-0.8.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-12-19 20:44:16 EST
fedup-0.8.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-12-22 00:34:24 EST
fedup-0.8.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.